Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.sasn1
Class DerGenerator

    java.lang.Object
      org.bouncycastle.sasn1.Asn1Generator
          org.bouncycastle.sasn1.DerGenerator

Direct Known Subclasses:
  DerSequenceGenerator

Deprecated. use corresponsding classes in org.bouncycastle.asn1.

    public abstract class DerGenerator

extends Asn1Generator

Field Summary

Fields inherited from class org.bouncycastle.sasn1.Asn1Generator
`_out`

Constructor Summary
`protected` | `DerGenerator(java.io.OutputStream out)` Deprecated.
`` | `DerGenerator(java.io.OutputStream out, int tagNo, boolean isExplicit)` Deprecated.

Method Summary

Methods inherited from class org.bouncycastle.sasn1.Asn1Generator
`getRawOutputStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DerGenerator

    protected DerGenerator(java.io.OutputStream out)

  Deprecated.

### DerGenerator

    public DerGenerator(java.io.OutputStream out,
                        int tagNo,
                        boolean isExplicit)

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD